libaal-dev_1.0.7-1_i386.deb


Advertisement

Description

libaal-dev - Reiser4's application abstraction library: Development files

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libaal-dev_1.0.7-1_i386.deb
Package name libaal-dev
Package version 1.0.7
Package release 1
Package architecture i386
Package type deb
Category admin::filesystem devel::library libdevel role::devel-lib
Homepage http://sourceforge.net/projects/reiser4/
License -
Maintainer Felix Zielcke <fzielcke@z-51.de>
Download size 30.41 KB
Installed size 138.00 KB

Alternatives

Package Version Architecture Repository
libaal-dev_1.0.7-1_amd64.deb 1.0.7 amd64 Debian Main
libaal-dev - - -

Requires

Name Value
libc-dev -
libc6-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libaal-dev_1.0.7-1_i386.deb
Source Package libaal

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libaal-dev deb package:
    # sudo apt-get install libaal-dev

Files

Path
/usr/include/aal/bitops.h
/usr/include/aal/block.h
/usr/include/aal/debug.h
/usr/include/aal/device.h
/usr/include/aal/endian.h
/usr/include/aal/exception.h
/usr/include/aal/file.h
/usr/include/aal/gauge.h
/usr/include/aal/hash.h
/usr/include/aal/libaal.h
/usr/include/aal/list.h
/usr/include/aal/malloc.h
/usr/include/aal/math.h
/usr/include/aal/print.h
/usr/include/aal/stream.h
/usr/include/aal/string.h
/usr/include/aal/types.h
/usr/include/aal/ui.h
/usr/include/aal/unaligned.h
/usr/lib/i386-linux-gnu/libaal-minimal.a
/usr/lib/i386-linux-gnu/libaal.a
/usr/share/aclocal/libaal.m4
/usr/share/doc/libaal-dev/CREDITS
/usr/share/doc/libaal-dev/THANKS
/usr/share/doc/libaal-dev/changelog.Debian.gz
/usr/share/doc/libaal-dev/changelog.gz
/usr/share/doc/libaal-dev/copyright

Changelog

2017-11-27 - Felix Zielcke <fzielcke@z-51.de>
libaal (1.0.7-1) unstable; urgency=medium
* New upstream release. 
* Refresh patches.
* Drop unnecassary build dependency on dh-autoreconf.
2017-10-11 - Felix Zielcke <fzielcke@z-51.de>
libaal (1.0.6-4) unstable; urgency=medium
* Update to policy 4.1.1
- Change priority to optional.
* Add patch by Mathias Klose to fix build failures with glibc 2.26.
(Closes: #878213) 
* Update to debhelper compat level 10.
2016-11-18 - Felix Zielcke <fzielcke@z-51.de>
libaal (1.0.6-3) unstable; urgency=medium
* Really compile with -fPIC. Patch by Radovan Birdic. (Closes: #844736)
2016-10-21 - Felix Zielcke <fzielcke@z-51.de>
libaal (1.0.6-2) unstable; urgency=medium
* Compile with -fPIC to fix build failure on reiser4progs.
2014-08-02 - Felix Zielcke <fzielcke@z-51.de>
libaal (1.0.6-1) unstable; urgency=medium
* New upstream release
2014-01-04 - Felix Zielcke <fzielcke@z-51.de>
libaal (1.0.5-6) unstable; urgency=low
* Convert to source format 3.0 (quilt).
* debian/patches/bitops.c.diff: Make the bit_t change from Luk a patch
file.
* Remove DMUA field.
* Update to debhelper compat level 9.
* Update to policy 3.9.5.
* Add a ${misc:Depends} to libaal-dev.
* Switch rules file to use dh command.
- Use dh_autoreconf to update libtool and conig,{sub,guess} at
build time. (Closes: #700357)
* Update watch file.
* Build and ship the shared library.
* Set homepage to the sourceforge project page.
* Update description of libaal-dev.
2012-07-03 - Luk Claes <luk@debian.org>
libaal (1.0.5-5.1) unstable; urgency=low
* Non-maintainer upload.
* Use bit_t instead of int (Closes: #632632).
2009-08-26 - Felix Zielcke <fzielcke@z-51.de>
libaal (1.0.5-5) unstable; urgency=low
* Remove libaal.la and libaal-minimal.la.
* Add a Breaks: libreiser4-dev (<< 1.0.7-3).
* Update Standards-Version to 3.8.3.
* Use debhelper compat level 7.
2009-02-09 - Felix Zielcke <fzielcke@z-51.de>
libaal (1.0.5-4) unstable; urgency=low
* New maintainer (Closes: #483026)
* Add a debian/watch file.
* Change download url in debian/copyright to the kernel.org one.
2009-02-06 - Barry deFreese <bdefreese@debian.org>
libaal (1.0.5-3) unstable; urgency=low
* QA upload.
+ Set maintainer to Debian QA Group <packages@qa.debian.org>.
* Remove dead Homepage URL from package description.
* Make clean not ignore errors.
* Add appropriate Copyright holder to debian/copyright.
* Bump debhelper build-dep and compat to 5.
* Bump Standards Version to 3.8.0.

See Also

Package Description
libabigail-dev_1.6-1_i386.deb ABI Generic Analysis and Instrumentation Library (development files)
libabigail0_1.6-1_i386.deb ABI Generic Analysis and Instrumentation Library (runtime)
libabiword-3.0_3.0.2-9+b1_i386.deb efficient, featureful word processor with collaboration -- shared library
libabiword-dev_3.0.2-9+b1_i386.deb efficient, featureful word processor with collaboration -- development files
libabw-0.1-1_0.1.3-1_i386.deb library for reading and writing AbiWord(tm) documents
libabw-dev_0.1.3-1_i386.deb library for reading and writing AbiWord(tm) documents -- development
libaccess-modifier-checker-java_1.16-1_all.deb Maven plugin for custom access modifier checking
libaccessodf-java_0.1.1~b-1_all.deb library for checking accessibility in ODF/ODT documents using Libreoffice
libaccessors-perl_1.01-2_all.deb Perl module to create accessor methods in caller's package
libaccounts-glib-dev_1.23-1_i386.deb Accounts database access - development files
libaccounts-glib-doc_1.23-1_all.deb Accounts database access - documentation
libaccounts-glib-tools_1.23-1_i386.deb Accounts database access - tools
libaccounts-glib0_1.23-1_i386.deb Accounts database access - shared library
libaccounts-qt-doc_1.15-2_all.deb Accounts database access Qt version - documentation
libaccounts-qt5-1_1.15-2_i386.deb Accounts database access Qt version - Qt5 shared library
Advertisement
Advertisement